Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.scanners
Class StyleScanner

    java.lang.Object
      org.htmlparser.scanners.TagScanner
          org.htmlparser.scanners.CompositeTagScanner
              org.htmlparser.scanners.StyleScanner

All Implemented Interfaces:
  Serializable, Scanner

    public class StyleScanner

extends CompositeTagScanner

The StyleScanner handles style elements. It gathers all interior nodes into one undifferentiated string node.

See Also:
  Serialized Form

Constructor Summary
`StyleScanner()` Create a style scanner.

Method Summary
`Tag` | `scan(Tag tag, Lexer lexer, NodeList stack)` Scan for style definitions.

Methods inherited from class org.htmlparser.scanners.CompositeTagScanner
`addChild, createVirtualEndTag, finishTag, isTagToBeEndedFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleScanner

    public StyleScanner()

  Create a style scanner.

Method Detail

### scan

    public Tag scan(Tag tag,
                    Lexer lexer,
                    NodeList stack)
             throws ParserException

  Scan for style definitions. Accumulates text from the page, until </[a-zA-Z] is encountered.

  Specified by:
    `scan` in interface `Scanner`
  Overrides:
    `scan` in class `CompositeTagScanner`
  Parameters:
    `tag` - The tag this scanner is responsible for.
    `lexer` - The source of CDATA.
    `stack` - The parse stack, not used.
  Returns:
    The resultant tag (may be unchanged).
  Throws:
    `ParserException` - if an unrecoverable problem occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |